Уязвимость в Exim 4.91

Решение проблем связанных с электронной почтой при использовании Brainy
dmitry_stas
Сообщения: 193
Зарегистрирован: Вт апр 17, 2018 7:43 am

Уязвимость в Exim 4.91

Сообщение dmitry_stas » Пн июн 10, 2019 9:35 am

доброго всем.

обнаружена серьезная уязвимость в версиях exim менее чем 4.92, уже существует exploit, необходимо срочно обновиться на 4.92, но проблема в том, что панель не видит 4.92, поскольку 4.92 доступен только в epel, который насколько мне известно несовместим с панелью. подскажите, как правильно поступить с обновлением?

Аватара пользователя
Daily
Сообщения: 32
Зарегистрирован: Чт июл 12, 2018 3:50 am

Re: Уязвимость в Exim 4.91

Сообщение Daily » Пн июн 10, 2019 3:46 pm

Я не по поводу как обновить,но вот что пишут:
6 июня была обнаружена уязвимость(CVE-2019-10149) почтового сервиса exim, которая позволяет получить root доступ злоумышленникам.
Сегодня утром, обнаружен массовый взлом серверов с использованием данной уязвимости, на которые был загружен майнер криптовалюты.

В связи с этим, мы просим Вас перепроверить версию exim на сервере и если у Вас версия exim ниже 4.92, то необходимо обновить его как можно скорее.
Вы можете его обновить в ручную или написать запрос в отдел техподдержки для его обновления.

Для обновлению exim сервиса в ручную, Вам необходим подключиться к серверу через ssh и проверить версию установленного exim.
Проверить установленную версию, Вы можете с помощью команды:
exim --version | head -1

Если у Вас версия exim ниже 4.92, то Вам необходимо его обновить. Обновить его, Вы можете командой:
yum update exim - Для Centos
apt-get update && apt-get install exim4 - Для Ubuntu/Debian
После обновления exim, Вам обязательно необходимо его перезагрузить командой:
service exim restart - Centos
service exim4 restart - Ubuntu/Debian

Также, Вам необходимо проверить взломан ли Ваш сервер или нет. Для проверки, пропишите команду в консоли:
ps aufx | grep kthrotlds

Если Вам выведет одну строку: grep --color=auto kthrotlds
То сервер не взломан, но если выведет две строки:

grep --color=auto kthrotlds
[kthrotlds]
Пример вывода взломанного сервера: https://gyazo.com/cec203e037b6781128e477d40783f4ef
Если Ваш сервер взломан, Вам необходимо обратится в отдел техподдержки.

Если Ваш сервер был взломан, то мы хотим Вас предупредить, что злоумышленники переписывают все cron-задачи и приватные ключи на сервере.
Их необходимо будет восстановить из бэкапа или в ручную.

Также проверьте не появились ли дополнительные пользователи с правами рут, вида Operator, Senyor etc...

Так как до конца механизм взлома не изучен, если вы подверглись заражению, после устранения уязвимости, крайне рекомендуем мониторить ближайшие несколько недель нагрузку на сервер и посторонние процессы.

alxjzx100
Сообщения: 12
Зарегистрирован: Вт фев 05, 2019 6:48 pm

Re: Уязвимость в Exim 4.91

Сообщение alxjzx100 » Пн июн 10, 2019 9:07 pm

+1 обновился до 4.92 почта отвалилась. Пришлось вернуться на 4.91
Как поступить ?

alxjzx100
Сообщения: 12
Зарегистрирован: Вт фев 05, 2019 6:48 pm

Re: Уязвимость в Exim 4.91

Сообщение alxjzx100 » Пн июн 10, 2019 9:18 pm

https://www.exim.org/static/doc/securit ... -10149.txt

Тут пишет следующее
A patch exists already, is being tested, and backported to all
versions we released since (and including) 4.87.
Как я понимаю, они уже пропатчили старые версии...
На всякий случай снес экзим и переустановил его через брейни . А так же сделал бекап сервера на всякий пожарный.

Аватара пользователя
alenka
Сообщения: 381
Зарегистрирован: Ср сен 27, 2017 11:10 am

Re: Уязвимость в Exim 4.91

Сообщение alenka » Вт июн 11, 2019 7:13 am

Здравствуйте, работаем над этим.

dmitry_stas
Сообщения: 193
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: Уязвимость в Exim 4.91

Сообщение dmitry_stas » Вт июн 11, 2019 10:59 am

Exim обновился через пакетный менеджер, но после этого перестал работать. панель видит его как Не установлен http://prntscr.com/o0dxxx . в логах отправки
2019-06-11 13:58:15 1haeTn-0007Yy-69 re-exec of exim (/usr/bin/exim) with -Mc failed: No such file or directory
P.S.
после создания симлинка /usr/bin/exim на /usr/sbin/exim почта заработала

Аватара пользователя
alenka
Сообщения: 381
Зарегистрирован: Ср сен 27, 2017 11:10 am

Re: Уязвимость в Exim 4.91

Сообщение alenka » Ср июн 12, 2019 3:09 pm

Обновить exim вы можете через пакетный менеджер (просто переустановите его)
еще нужно обновить драйвер exim_mysqlXX, Обновить через yum update, или переустановить mysql.
Если было обновление через yum update выполните ln -s /usr/sbin/exim /usr/bin/exim
В некоторых случаях, нужно перегрузить jailphp.

rpm -qa | grep exim данной командой драйвер и exim должны быть версии 4.92
exim-4.92-1.el7.centos.x86_64
exim-mysqlXX-4.92-1.el7.centos.x86_64

dmitry_stas
Сообщения: 193
Зарегистрирован: Вт апр 17, 2018 7:43 am

Re: Уязвимость в Exim 4.91

Сообщение dmitry_stas » Чт июн 13, 2019 8:22 am

да, спасибо, я выше уже написал, именно так и решил это

Аватара пользователя
sbury
Сообщения: 405
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Уязвимость в Exim 4.91

Сообщение sbury » Вт июл 30, 2019 12:46 pm

данная ошибка со ссылкой исправлена. Больше нет необходимости делать эту в ручную. Актуальная версия 4.92. Если у вас старая следует переустановить с панели актуальную. Версиия 4.91 из-за критической уязвимости не рекомендована к использованию вообще.

romapad
Сообщения: 6
Зарегистрирован: Вт фев 12, 2019 8:32 pm

Re: Уязвимость в Exim 4.91

Сообщение romapad » Вт сен 03, 2019 12:48 am

Аналогичная проблема, перестали приходить письма с сайтов на сервере. Все сделал по указаниям в этой теме, но почта так и не работает. Точнее работает тестовая отправка из brainy, письма приходят на некоторые почты, не на все. Но больше никакие письма не приходят с сайтов. В чем может быть причина?

Ответить